# $Revision: 1.5 $, $Date: 2004/11/30 18:21:02 $
Summary:	General tool for mathematics
Summary(pl):	Rozbudowane narzdzie matematyczne
Name:		drgeo
Version:	0.9.14
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/ofset/%{name}-%{version}.tar.gz
# Source0-md5:	b25686232bfab258fb0bb418af142ffe
Patch0:		%{name}-locale_names.patch
Patch1:		%{name}-desktop.patch
URL:		http://ofset.sourceforge.net/drgeo/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	glib-devel >= 1.2.0
BuildRequires:	gmp-devel >= 3.1.1
BuildRequires:	libglade2-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libxml-devel
BuildRequires:	readline-devel >= 4.2
Obsoletes:	drgenius
Obsoletes:	genius
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dr. Geo is a general tool for mathematics, including a mathematical
programming language and evaluator, an euclidian geometry tool, a
2D/3D function grapher and a console calculator. The console
calculator handles multiple precision floating point numbers, infinite
precision integers, complex numbers and matrixes.

%description -l pl
Dr. Geo to narzdzie do rozwizywania problemw matematycznych.
Zawiera ono matematyczny jzyk programowania, narzdzie do geometrii
euklidesowej, narzdzie do generowania wykresw 2D/3D oraz konsolowy
kalkulator. Kalkulator obsuguje liczby zmiennoprzecinkowe wysokiej
precyzji, liczby cakowite, zespolone oraz macierze.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

mv po/{no,nb}.po

# force regeneration, included versions have broken cpp directives
rm -f gobobjs/*.[ch]*

%build
rm -f acinclude.m4
# doesn't work(?)
#%%{__libtoolize}
#%%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Utilitiesdir=%{_desktopdir}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/texmacs/TeXmacs/plugins/%{name}/
%{_pixmapsdir}/*
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: drgeo.spec,v $
Revision 1.5  2004/11/30 18:21:02  paladine
- added desktop patch
- rel 2

Revision 1.4  2004/10/07 09:09:47  ankry
- OOPS, fixed changelog

Revision 1.3  2004/10/07 09:09:07  ankry
- O:drgenius

Revision 1.2  2004/09/08 08:07:12  darekr
- updated to 0.9.14

Revision 1.1  2004/08/25 13:00:43  undefine
- initital pld version based on drgenius spec

